Bug 1235944 - SELinux is preventing abrt-dump-journ from using the 'chown' capabilities.
Summary: SELinux is preventing abrt-dump-journ from using the 'chown' capabilities.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a96365582a7c45839ffc4fea8ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-26 07:33 UTC by lejeczek
Modified: 2015-07-15 02:37 UTC (History)
16 users (show)

Fixed In Version: selinux-policy-3.13.1-105.19.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-14 15:50:11 UTC
Type: ---


Attachments (Terms of Use)

Description lejeczek 2015-06-26 07:33:52 UTC
Description of problem:
SELinux is preventing abrt-dump-journ from using the 'chown' capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-dump-journ should have the chown capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-dump-journ /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:system_r:abrt_dump_oops_t:s0
Target Objects                Unknown [ capability ]
Source                        abrt-dump-journ
Source Path                   abrt-dump-journ
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-105.18.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.0.6-200.fc21.x86_64 #1 SMP Tue
                              Jun 23 13:59:12 UTC 2015 x86_64 x86_64
Alert Count                   10
First Seen                    2015-06-26 08:30:26 BST
Last Seen                     2015-06-26 08:30:26 BST
Local ID                      3e3e100d-88b9-4a31-a663-1346ce4e071e

Raw Audit Messages
type=AVC msg=audit(1435303826.241:595): avc:  denied  { chown } for  pid=730 comm="abrt-dump-journ" capability=0  scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:system_r:abrt_dump_oops_t:s0 tclass=capability permissive=0


Hash: abrt-dump-journ,abrt_dump_oops_t,abrt_dump_oops_t,capability,chown

Version-Release number of selected component:
selinux-policy-3.13.1-105.18.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         4.0.6-200.fc21.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2015-06-26 08:37:17 UTC
commit 261f540504d32ffc4299f3fee2a7d483013aaaf1
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Fri Jun 26 10:34:56 2015 +0200

    Allow abrt_dump_oops_t fowner chown fsetid cap itself. BZ(1235944)

Comment 2 Fedora Update System 2015-06-30 07:31:15 UTC
selinux-policy-3.13.1-105.19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.19.fc21

Comment 3 Fedora Update System 2015-06-30 20:14:12 UTC
Package selinux-policy-3.13.1-105.19.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.19.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10958/selinux-policy-3.13.1-105.19.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-07-14 15:50:11 UTC
selinux-policy-3.13.1-105.19.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.